Index: admin/system_presets/simple/email_logs_email-log.php
===================================================================
--- admin/system_presets/simple/email_logs_email-log.php	(revision 15331)
+++ admin/system_presets/simple/email_logs_email-log.php	(working copy)
@@ -20,7 +20,7 @@
 
 	// fields to hide
 	$hidden_fields = Array (
-		/*'EmailLogId', 'From', 'To', 'OtherRecipients', 'Subject', 'HtmlBody', 'TextBody', 'SentOn', 'EventName', 'EventParams', 'AccessKey'*/
+		/*'EmailLogId', 'From', 'To', 'OtherRecipients', 'Subject', 'HtmlBody', 'TextBody', 'SentOn', 'EventName', 'EventType', 'EventParams', 'AccessKey'*/
 	);
 
 	// virtual fields to hide
@@ -30,7 +30,7 @@
 
 	// fields to make required
 	$required_fields = Array (
-		/*'EmailLogId', 'From', 'To', 'OtherRecipients', 'Subject', 'HtmlBody', 'TextBody', 'SentOn', 'EventName', 'EventParams', 'AccessKey'*/
+		/*'EmailLogId', 'From', 'To', 'OtherRecipients', 'Subject', 'HtmlBody', 'TextBody', 'SentOn', 'EventName', 'EventType', 'EventParams', 'AccessKey'*/
 	);
 
 	// virtual fields to make required
@@ -46,5 +46,5 @@
 	// hide columns in grids
 	$hide_columns = Array (
 //		currently not in user
-//		'Default'	=>	Array ('EmailLogId', 'From', 'To', 'Subject', 'SentOn', 'EventName'),
+//		'Default'	=>	Array ('EmailLogId', 'From', 'To', 'Subject', 'SentOn', 'EventName', 'EventType'),
 	);
\ No newline at end of file
Index: core/admin_templates/logs/email_logs/email_log_edit.tpl
===================================================================
--- core/admin_templates/logs/email_logs/email_log_edit.tpl	(revision 15359)
+++ core/admin_templates/logs/email_logs/email_log_edit.tpl	(working copy)
@@ -50,6 +50,7 @@
 
 		<inp2:m_if check="email-log_Field" name="EventName" db="db">
 			<inp2:m_RenderElement name="inp_label" prefix="email-log" field="EventName" title="la_fld_Event"/>
+			<inp2:m_RenderElement name="inp_label" prefix="email-log" field="EventType" title="la_fld_Type"/>
 		</inp2:m_if>
 
 		<inp2:m_RenderElement name="inp_label" prefix="email-log" field="From" title="la_fld_Sender"/>
Index: core/install/install_schema.sql
===================================================================
--- core/install/install_schema.sql	(revision 15359)
+++ core/install/install_schema.sql	(working copy)
@@ -412,6 +412,7 @@
   TextBody longtext,
   SentOn int(11) DEFAULT NULL,
   EventName varchar(255) NOT NULL DEFAULT '',
+  EventType tinyint(4) DEFAULT NULL,
   EventParams text,
   AccessKey varchar(32) NOT NULL DEFAULT '',
   PRIMARY KEY (EmailLogId),
Index: core/install/upgrades.sql
===================================================================
--- core/install/upgrades.sql	(revision 15359)
+++ core/install/upgrades.sql	(working copy)
@@ -2748,3 +2748,5 @@
 
 # ===== v 5.2.0-RC1 =====
 UPDATE LanguageLabels SET l<%PRIMARY_LANGUAGE%>_Translation = '&lt;TITLE&gt; Tag' WHERE PhraseKey = 'LA_FLD_PAGECONTENTTITLE';
+ALTER TABLE EmailLog ADD EventType TINYINT(4) NULL AFTER EventName;
+DELETE FROM UserPersistentSessionData WHERE VariableName = 'email-log[Default]columns_.';
Index: core/kernel/utility/email.php
===================================================================
--- core/kernel/utility/email.php	(revision 15359)
+++ core/kernel/utility/email.php	(working copy)
@@ -247,6 +247,7 @@
 				'Subject' => $message_subject,
 				'SentOn' => TIMENOW,
 				'EventName' => $this->emailEvent->GetDBField('Event'),
+				'EventType' => $this->emailEvent->GetDBField('Type'),
 				'EventParams' => serialize($this->_getCustomParams()),
 			);
 
Index: core/units/logs/email_logs/email_logs_config.php
===================================================================
--- core/units/logs/email_logs/email_logs_config.php	(revision 15359)
+++ core/units/logs/email_logs/email_logs_config.php	(working copy)
@@ -83,6 +83,11 @@
 			'TextBody' => Array ('type' => 'string', 'default' => NULL),
 			'SentOn' => Array ('type' => 'int', 'formatter' => 'kDateFormatter', 'default' => '#NOW#'),
 			'EventName' => Array ('type' => 'string', 'max_len' => 255, 'not_null' => 1, 'default' => ''),
+			'EventType' => Array (
+				'type' => 'int',
+				'formatter' => 'kOptionsFormatter', 'options' => Array (1 => 'la_Text_Admin', 0 => 'la_Text_User'), 'use_phrases' => 1,
+				'default' => NULL
+			),
 			'EventParams' => Array ('type' => 'string', 'default' => NULL),
 			'AccessKey' => Array ('type' => 'string', 'max_len' => 20, 'not_null' => 1, 'default' => ''),
 		),
@@ -95,6 +100,7 @@
 					'To' => Array ('title' => 'column:la_fld_Recipient', 'filter_block' => 'grid_like_filter', 'width' => 200),
 					'Subject' => Array ('filter_block' => 'grid_like_filter', 'width' => 200),
 					'EventName' => Array ('title' => 'column:la_fld_Event', 'filter_block' => 'grid_like_filter', 'width' => 170),
+					'EventType' => Array ('title' => 'column:la_fld_Type', 'filter_block' => 'grid_options_filter', 'width' => 60),
 					'SentOn' => Array ('title' => 'la_prompt_SentOn', 'filter_block' => 'grid_date_range_filter', 'width' => 145),
 //					'EventParams' => Array ('title' => 'la_col_EventParams', 'filter_block' => 'grid_like_filter'),
 				),
